/***文档注释***********************************************
 * 作者               :                   龙文航
 * 创建日期      :                   2017.12.5
 * 描述               :                   物流管理-理货单管理
 * 注意事项      :                   无
 * 遗留BUG :                   无
 * 修改日期      :                   
 * 修改人员      :                   
 * 修改内容      :                   
***********************************************************/
package market.Lms.Logistics.mapper;

import java.util.HashMap;
import java.util.List;

import org.apache.ibatis.annotations.Param;

import market.Lms.Logistics.vo.SpmDelivery;
import market.Slm.DeliveryManagement.vo.SlmLadingBillDetail;

import com.hnshituo.orm.GenericMapper;

@SuppressWarnings("rawtypes")
public interface SpmDeliveryMapper extends GenericMapper<SpmDelivery, Object> {
	
	public List<SpmDelivery> doQueryWebBySQL(int beginindex,int endindex,String starttime,String endtime,String deliveryno,String state);
	
	public int doQueryWebBySQLCount(String starttime,String endtime,String deliveryno,String state);
	
	public List<HashMap> getNo(String param);
	
	public List<String> getOrderNo(String deliveryno);
	
	public List<String> getOrderNoB(String deliveryno);
	
	public String getLineNo(String billno,String orderno);
	
	public void doDelete(String deliveryno);
	
	public List<String> doFindis_detail(String deliveryno );
	
	public void doUpdateDe(String deliveryno );
	
	String getCode(String string);
	
    public void  cancelsign(String deliveryno);
	
	public void cancellocation(String deliveryno);
	
	public List<SlmLadingBillDetail> doQuaryCarInfo(String carseq);
	public List<SlmLadingBillDetail> doQuaryCarInfo1(String carseq);
	public List<SlmLadingBillDetail> doQuaryCarInfoF(String carseq);
	public Double doQuaryPackWeight(String billno);
	public Double doQuaryPackWeight_WK(@Param("param")List<String> coilList);
	public int doQuaryCarInfo2(String billno);
}
